KillApplicationResponse (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: KillApplicationResponse

Package org.apache.hadoop.yarn.api.protocolrecords

# Class KillApplicationResponse

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.KillApplicationResponse

@Public @Stable public abstract class KillApplicationResponse extends Object
The response sent by the `ResourceManager` to the client aborting a submitted application.

The response, includes:

- A flag which indicates that the process of killing the application is completed or not.

Note: user is recommended to wait until this flag becomes true, otherwise if the `ResourceManager` crashes before the process of killing the application is completed, the `ResourceManager` may retry this application on recovery.

See Also:
  - `ApplicationClientProtocol.forceKillApplication(KillApplicationRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KillApplicationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `getIsKillCompleted()`
  Get the flag which indicates that the process of killing application is completed or not.
  `static KillApplicationResponse`
  `newInstance(boolean isKillCompleted)`
  `abstract void`
  `setIsKillCompleted(boolean isKillCompleted)`
  Set the flag which indicates that the process of killing application is completed or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KillApplicationResponse

    public KillApplicationResponse()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static KillApplicationResponse newInstance(boolean isKillCompleted)

  - ### getIsKillCompleted

    @Public @Stable public abstract boolean getIsKillCompleted()
    Get the flag which indicates that the process of killing application is completed or not.
    Returns:
      true if the process of killing application has completed, false otherwise

  - ### setIsKillCompleted

    @Private @Unstable public abstract void setIsKillCompleted(boolean isKillCompleted)
    Set the flag which indicates that the process of killing application is completed or not.
    Parameters:
      `isKillCompleted` - true if the process of killing application has completed, false otherwise.